/public/convert
Get off-ramp conversion rates
Query Parameters
- Type: stringfromrequired
Currency to convert from
- Type: stringtorequired
Currency to convert to
- Type: stringtyperequired
Conversion type (buy/sell)
- Type: stringamountrequired
Amount to convert
- Type: stringwidget
_id requiredWidget id
- Type: booleanis
_total Is passed amount with fee.
- Type: stringpayment
_method Payment method. Available: card, volt, apple, google
- Type: stringaddress
User wallet address. Available only if feature enabled for widget
- Type: stringip
_address User IP address. Feature must be enabled for widget.
- Type: stringcard
_type Card payment system. Feature must be enabled for widget. Note that parameter can be used only with
ip_address - Type: stringcountry
User country. Feature must be enabled for widget. Note that
ip_addresstakes precedence overcountry
Responses
- application/json
- application/json
- 403
Forbidden
- 500
Internal server error
Request Example for get/public/convert
curl 'https://sandbox-api.mrcr.io/v1.6/public/convert?from=&to=&type=&amount=&widget_id=&is_total=true&payment_method=&address=&ip_address=&card_type=&country='
{
"status": 200,
"data": {
"type": "sell",
"currency": "BTC",
"amount": "0.00215648",
"fiat_currency": "EUR",
"fiat_amount": "100.00",
"rate": "46371.86",
"fee": "12.00",
"fee_currency": "EUR"
}
}